
DECLARE @SQL VARCHAR(1000)
IF LEFT(CONVERT(VARCHAR(100),SERVERPROPERTY(N'ProductVersion')),2) <> '11'
BEGIN
	SET @SQL = '
	Declare @dbname sysname
	Select @dbname = db_name()
	exec sp_dboption @dbname, ''dbo use only'', ''false''
	'
	EXECUTE (@SQL)
END
GO


Declare @maj varchar(10), @min varchar(10), @rel varchar(10), @fix varchar(10), @ver varchar(50)
SELECT 
	@maj = convert(varchar(10), Release / 65536),
	@min = convert(varchar(10), (Release / 256) % 256),
	@rel = convert(varchar(10), Release % 256),
	@fix = convert(varchar(10), fix)
from dbo.s_release where release = (select top 1 release from dbo.s_release order by release desc, fix desc)

SET @ver = RTRIM(@maj) + '.' + RTRIM(@min)
EXECUTE dbo.X_SET_PROP 'PROJECT', 'VERSION', @ver
EXECUTE dbo.X_SET_PROP 'PROJECT', 'VERSION_MAJOR', @maj
EXECUTE dbo.X_SET_PROP 'PROJECT', 'VERSION_MINOR', @min
EXECUTE dbo.X_SET_PROP 'PROJECT', 'VERSION_RELEASE', @rel
EXECUTE dbo.X_SET_PROP 'PROJECT', 'VERSION_FIX', @fix

DECLARE @LAST_AUTOUPDATE VARCHAR(30), @LAST_VERSION VARCHAR(30)
SET @LAST_AUTOUPDATE = convert(varchar(10),GETDATE(), 104) + SPACE(1) +  convert(varchar(15),GETDATE(), 114)
SET @LAST_VERSION = RTRIM(@maj) + '.' + RIGHT('0' + RTRIM(@min),2) + 'SP' + @fix + 'HF2'

--  ,    
SET @ver = ' SP ' + @LAST_VERSION
EXECUTE WF_GENERATEEVENT 'FIX', @ver

EXEC X_SET_OPTION 'LAST_AUTOUPDATE', 0, @LAST_AUTOUPDATE
EXEC X_SET_OPTION 'LAST_VERSION', 0, @LAST_VERSION

GO
WHILE @@TRANCOUNT > 0
	raiserror('@@TRANCOUNT>0!!!',11,1)
GO
--     
exec GRANT_PERM 'P'
GO
exec GRANT_PERM 'U'
GO
exec GRANT_PERM 'V'
GO
exec GRANT_PERM 'TF'
GO
exec GRANT_PERM 'IF'
GO
exec GRANT_PERM 'FN'
GO
delete from dbo.s_dbobjects where object_id(DBObject) is null
GO
UPDATE dbo.S_PERMISSIONS SET Permitted = Permitted, Restricted = Restricted
GO
WHILE @@TRANCOUNT > 0
	raiserror('@@TRANCOUNT>0!!!',11,1)
GO
